ConsoleMessage (gCube Resource Management Portlet 5.0.0-SNAPSHOT API)
Date: 2013-09-19

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.portlets.admin.resourcemanagement.client.widgets.console
Class ConsoleMessage

    java.lang.Object
      com.extjs.gxt.ui.client.data.BaseModelData
          org.gcube.portlets.admin.resourcemanagement.client.widgets.console.ConsoleMessage

All Implemented Interfaces:
  com.extjs.gxt.ui.client.data.ModelData, Serializable

    public class ConsoleMessage

extends com.extjs.gxt.ui.client.data.BaseModelData

See Also:
  Serialized Form

Field Summary

Fields inherited from class com.extjs.gxt.ui.client.data.BaseModelData
`allowNestedValues, map`

Constructor Summary
`ConsoleMessage(Class<?> invoker, ConsoleLogSeverity type, String message)`
`ConsoleMessage(Object caller, ConsoleLogSeverity type, String message)`
`ConsoleMessage(String invoker, ConsoleLogSeverity type, String message)`

Method Summary

Methods inherited from class com.extjs.gxt.ui.client.data.BaseModelData
`get, get, getProperties, getPropertyNames, isAllowNestedValues, remove, set, setAllowNestedValues, setProperties`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConsoleMessage

    public ConsoleMessage(Object caller,
                          ConsoleLogSeverity type,
                          String message)

### ConsoleMessage

    public ConsoleMessage(Class<?> invoker,
                          ConsoleLogSeverity type,
                          String message)

### ConsoleMessage

    public ConsoleMessage(String invoker,
                          ConsoleLogSeverity type,
                          String message)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013. All Rights Reserved.